// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@ricochet.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(java.util);
importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.view);

// get the request object
rinput = bsf.lookupBean("request");

if (!(rinput.user.hasAdminAccess()))
{ // you don't have permission to administer the system
  vlib.output(new ErrorBox("Access Error","You do not have permission to administer the system.",null));
  vlib.done();

} // end if

adm = rinput.user.adminInterface;

// get the list of IP bans
banlist = null;
try
{ // handle enables?
  if (rinput.hasParameter("enable"))
  { // enable the identified ban
    id = rinput.getParameterInt("enable",-1);
    if (id>0)
      adm.enableIPBan(id,true);

  } // end if

  if (rinput.hasParameter("disable"))
  { // disable the identified ban
    id = rinput.getParameterInt("disable",-1);
    if (id>0)
      adm.enableIPBan(id,false);

  } // end if

  if (rinput.hasParameter("remove"))
  { // disable the identified ban
    id = rinput.getParameterInt("remove",-1);
    if (id>0)
      adm.removeIPBan(id);

  } // end if

  // get the ban information list
  banlist = adm.getIPBanInfo();

} // end try
catch (e)
{ // find the exception type
  etype = vlib.exceptionType(e) + "";
  if (etype.match("DataException"))
    rc = new ErrorBox("Database Error",e.message);
  else
    rc = e;
  vlib.output(rc);
  vlib.done();

} // end catch

// display the list of IP bans
rinput.setRequestAttribute("ipbans.list",banlist);
vlib.output(new JSPView("Manage IP Address Bans","sysadmin/list_ip_bans.jsp"));
